<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		
		<!-- bootstrap css -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

		<!-- external css -->
		<link rel="stylesheet" type="text/css" href="./css/style.css">
		<title> Bootstrap Components</title>
	</head>
	<body>
		<div class="d-flex flex-row justify-content-between bg-primary mb-4">
            <div class="p-2 d-flex flex-row align-items-end text-light">Ada Lovelace</div>
            <div class="d-flex flex-row align-items-end justify-content-between">
                <div class="p-2"><a href="" class="text-light">About Me</a></div>
                <div class="p-2"><a href=""class="text-light">Projects</a></div>
                <div class="p-2"><a href=""class="text-light"> Tools</a></div>
                <div class="p-2"><a href="#contact-form" class="text-light">Contact Us </a></div>
            </div>
		</div>

        <div>

            <h3 class="container-fluid text-center">Other Projects</h3>

        <!--           Apply Bootstrap classes to the Other Project Section with the following layout:
        - When in a medium screen or larger screen, the contents should appear side by side.
        - When in a small screen, the contents should appear on top of each other. -->

            <!-- Other Projects Start -->
            <div class="container-fluid bg-light row">

                <!-- HTML Card Start -->
                <div class="container py-5 col-12 col-md-4">
                    <img src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" style="height: 250px; width: 100%">
                    <h5 class="text-center">HTML</h5>
                    <p class="text-justify">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                </div>
                <!-- HTML Card End -->

                <!-- Bootstrap Card Start -->
                <div class="container py-5 col-12 col-md-4">
                    <img src="./images/logo-bootstrap.png" style="height: 250px; width: 100%">
                    <h5 class="text-center">Bootstrap</h5>
                    <p class="text-justify">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                    tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                    quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                    consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                    cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                    proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                </div>
                <!-- Bootstrap Card End -->

                <!-- Nose JS Server Card Start -->
                <div class="container py-5 col-12 col-md-4">
                    <img src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" style="height: 250px; width: 100%">
                    <h5 class="text-center">Node JS Server</h5>
                    <p class="text-justify">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                    tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                    quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                    consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                    cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                    proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                </div>
                <!-- Node JS Server Card End -->
            </div>
			<div id="contact-form" class="container justify-content-center col-12 col-md-8 col-xl-4 my-4 bg-primary" style="height: 600px;">
					<h2 class="text-center text-white"> Contact Us!</h2>
						<form class="mt-3">
							<div class="form-group text-white justify-content-center">
							<!-- Name -->
								<label for="txt-name">Name:</label>
								<input type="txt-name" name="txt-name" id="txt-name"	placeholder="First Name Last Name"	class="form-control">
							</div>
							<!-- Email -->
							<div class="text-white justify-content-center">
								<label for="txt-email">Email:</label>
								<input type="email" name="email" id="txt-email"	placeholder="name@example.com"	class="form-control">
							</div>
							<!-- contact number -->

							<div class="text-white justify-content-center">
								<label for="txt-contact" class="mt-3">Contact Number</label>
								<input type="txt-contact" name="txt-contact" id="txt-contact"	placeholder="0000-000-0000"	class="form-control">

							</div>

							<!-- Concern dropdown select-->
							<div class="form-group mt-3 text-white justify-content-center">
								<label for="txt-concern">Concerns: </label>
								<select name="sampleSelect" id="txt-concern" class="Concerns">
									<option>Inquire a course</option>
									<option>How to enroll</option>
									<option>Not able to send payment</option>
									<option>Error / issues</option>
								</select>
							</div>

							<!-- Message text -->
							<div class="form-group text-white justify-content-center">
								<label for="txt-message">Message</label>
								<textarea name="form-control" id="txt-textarea" rows="3" class="form-control"></textarea>
							</div>
							<button type="button" class="btn bg-success" data-toggle="modal" data-target="#ContactUs">Send </button>
							<button type="reset" class="btn bg-secondary"> Reset </button>
						</form>
			

			<!-- Modal -->
			
				<div id="ContactUs" tabindex="-1" aria-labelledby="ContactUs" aria-hidden="true" class="modal fade">
					<div class="modal-dialog bg-light">
						<div class="modal-content bg-light">
							<div class="header">
								<h5 id="ContactUs" class="modal-title"> Thank you for contacting us!</h5>
								<button type="button" data-dismiss="modal" aria-label="Close" class="close">
									<span>&times;</span>
								</button>
							</div>
						</div>

						<div class="model-body">
							Message successfully sent!
						</div>
						<div class="model-footer">
							<button type="button" data-dismiss="modal" class="btn btn-secondary">Close</button>
						</div>				
					</div>
				</div>
			</div>
		<!-- end modal -->


				<!-- JS dependencies -->
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

		<!-- fontawesome -->
		<script src="https://kit.fontawesome.com/7a46a783b9.js" crossorigin="anonymous"></script>
	</body>
</html>